import Flutter
import UIKit

import Dvotemobile

public class SwiftDvotePlugin: NSObject, FlutterPlugin {
  public static func register(with registrar: FlutterPluginRegistrar) {
    let channel = FlutterMethodChannel(name: "dvote", binaryMessenger: registrar.messenger())
    let instance = SwiftDvotePlugin()
    registrar.addMethodCallDelegate(instance, channel: channel)
  }

  public func handle(_ call: FlutterMethodCall, result: @escaping FlutterResult) {
    var error: NSError?

    switch call.method {
      case "generateMnemonic": 
        if let arg = call.arguments as? Int {
          var mnemonic = Dvotemobile.DvotemobileGenerateMnemonic(arg, &error)

          if error != nil {
            result("Error: Unable to generate a mnemonic")
          }
          result(mnemonic)
        }
        else {
          result("404")
        }
        break
      case "getPlatformVersion":
        result("iOS " + UIDevice.current.systemVersion)
        break
      default:
        result("404")
    }
  }
}
