import 'dart:async';

import 'package:flutter/services.dart';

class Dvote {
  static const MethodChannel _channel = const MethodChannel('dvote');

  static Future<String> get platformVersion async {
    final String version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }

  /// Generate a random private key and encode it with a human readable BIP39 mnemonic.
  /// Entropy is the bit count (128, ..., 256)
  static Future<String> generateMnemonic(int size) async {
    final String mnemonic =
        await _channel.invokeMethod<String>('generateMnemonic', size);
    return mnemonic;
  }
}
